// Clock periods
// Configuration
`define CLK_HALF_PERIOD_40MHz  12.5  //ns
// Acquisition
`define CLK_HALF_PERIOD_100MHz  5  //ns
`define USE_FAST_I2C_CLOCK 1
// Number of slow control registers
`define NUMBER_SLOWCONTROL_REGISTERS 36
// List of addresses of the slow control registers
`define ADDRESS_globalConfig         8'h00
`define ADDRESS_internalStrobes      8'h01
`define ADDRESS_externalDACSel       8'h02
`define ADDRESS_monitorDACSel        8'h03
`define ADDRESS_matrixConfig         8'h04
`define ADDRESS_configCtrl           8'h05
`define ADDRESS_configData7downto0   8'h06
`define ADDRESS_configData15downto8  8'h07
`define ADDRESS_readoutCtrl          8'h08
`define ADDRESS_tpulseCtrl7downto0   8'h0A
`define ADDRESS_tpulseCtrl15downto8  8'h0B
`define ADDRESS_VBIASResetTransistor 8'h10
`define ADDRESS_VRESET               8'h11
`define ADDRESS_VBIASLevelShift      8'h12
`define ADDRESS_VANALOG17downto0     8'h13
`define ADDRESS_VANALOG115downto8    8'h14
`define ADDRESS_VANALOG2             8'h15
`define ADDRESS_VBIASPREAMPN         8'h16
`define ADDRESS_VNCASC               8'h17
`define ADDRESS_VPCASC               8'h18
`define ADDRESS_VFBK                 8'h19
`define ADDRESS_VBIASIKRUM           8'h1A
`define ADDRESS_VBIASDISCN           8'h1B
`define ADDRESS_VBIASDISCP           8'h1C
`define ADDRESS_VBIASDAC             8'h1D
`define ADDRESS_VTHRESHOLD7downto0   8'h1E
`define ADDRESS_VTHRESHOLD9downto8   8'h1F
`define ADDRESS_VNCASCCOMP           8'h20
`define ADDRESS_VBIASLevelShiftstby  8'h21
`define ADDRESS_VBIASPREAMPNstby     8'h22
`define ADDRESS_VBIASDISCNstby       8'h23
`define ADDRESS_VBIASDISCPstby       8'h24
`define ADDRESS_VBIASDACstby         8'h25
`define ADDRESS_VBIASSlowBuffer      8'h26
`define ADDRESS_AdjustDACRange       8'h27
`define ADDRESS_VLVDSD               8'h28
// List of default values of the slow control registers
`define DEFAULT_globalConfig         8'h01
`define DEFAULT_internalStrobes      8'h00
`define DEFAULT_externalDACSel       8'h00
`define DEFAULT_monitorDACSel        8'h00
`define DEFAULT_matrixConfig         8'h08
`define DEFAULT_configCtrl           8'h00
`define DEFAULT_configData7downto0   8'h00
`define DEFAULT_configData15downto8  8'h00
`define DEFAULT_readoutCtrl          8'h00
`define DEFAULT_tpulseCtrl7downto0   8'hFF
`define DEFAULT_tpulseCtrl15downto8  8'hFF
`define DEFAULT_VBIASResetTransistor 8'h03
`define DEFAULT_VRESET               8'h68
`define DEFAULT_VBIASLevelShift      8'h09
`define DEFAULT_VANALOG17downto0     8'h00
`define DEFAULT_VANALOG115downto8    8'h00
`define DEFAULT_VANALOG2             8'h00
`define DEFAULT_VBIASPREAMPN         8'h05
`define DEFAULT_VNCASC               8'h5B
`define DEFAULT_VPCASC               8'h82
`define DEFAULT_VFBK                 8'h47
`define DEFAULT_VBIASIKRUM           8'h04
`define DEFAULT_VBIASDISCN           8'h08
`define DEFAULT_VBIASDISCP           8'h09
`define DEFAULT_VBIASDAC             8'h07
`define DEFAULT_VTHRESHOLD7downto0   8'h9A
`define DEFAULT_VTHRESHOLD9downto8   8'h00
`define DEFAULT_VNCASCCOMP           8'h76
`define DEFAULT_VBIASLevelShiftstby  8'h01
`define DEFAULT_VBIASPREAMPNstby     8'h01
`define DEFAULT_VBIASDISCNstby       8'h01
`define DEFAULT_VBIASDISCPstby       8'h01
`define DEFAULT_VBIASDACstby         8'h01
`define DEFAULT_VBIASSlowBuffer      8'h0F
`define DEFAULT_AdjustDACRange       8'h03
`define DEFAULT_VLVDSD               8'h0F
